Subject: Re: Equivalent of "fixup" for git filter-branch

From: Andreas Schwab <[email-masked]>
Date: Fri, 11 May 2012 15:45:50 +0200

Philippe Vaucher <[email-masked]> writes:

> I was also thinking maybe I could use --parent-filter: when I find a
> fixup commit, I set its parent to its parent's parent?

This will keep the attributes of the fixup commit, discarding the
parent's ones.  In git rebase, a fixup keeps the attributes of the
parent, discarding the ones of the fixup.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."